%define major 1
%define libname %mklibname verto %{major}
%define devname %mklibname -d verto

Name:           libverto
Version:        0.2.6
Release:        %mkrel 6
Summary:        Main loop abstraction library
Group:          System/Libraries
License:        MIT
URL:            https://fedorahosted.org/libverto/
Source0:        http://fedorahosted.org/releases/l/i/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  glib2-devel
BuildRequires:  event-devel
BuildRequires:  tevent-devel
BuildRequires:  ev-devel

%description
libverto provides a way for libraries to expose asynchronous interfaces
without having to choose a particular event loop, offloading this
decision to the end application which consumes the library.

%package -n %{libname}
Summary:    Libraries for %{name}
Group:      System/Libraries

%description -n %{libname}
Libraries for %{name}.

%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/C
Provides:   %{name}-devel = %{version}-%{release}
Provides:   verto-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}

%description -n %{devname}
Header files and development libraries for %{name}.

%package glib
Summary:    glib module for %{name}
Group:      System/Libraries

%description glib
Module for %{name} which provides integration with glib.

This package does NOT yet provide %{name}-module-base.

%package glib-devel
Summary:    Development files for %{name}-glib
Group:      Development/C
Requires:   %{name}-glib = %{version}-%{release}
Requires:   %{name}-devel = %{version}-%{release}

%description glib-devel
The %{name}-glib-devel package contains libraries and header files for
developing applications that use %{name}-glib.

%package libevent
Summary:    libevent module for %{name}
Group:      System/Libraries
Provides:   %{name}-module-base = %{version}-%{release}

%description libevent
Module for %{name} which provides integration with libevent.

%package libevent-devel
Summary:    Development files for %{name}-libevent
Group:      Development/C
Requires:   %{name}-libevent = %{version}-%{release}
Requires:   %{devname} = %{version}-%{release}

%description libevent-devel
The %{name}-libevent-devel package contains libraries and header files for
developing applications that use %{name}-libevent.

%package tevent
Summary:    tevent module for %{name}
Group:      System/Libraries
Provides:   %{name}-module-base = %{version}-%{release}

%description tevent
Module for %{name} which provides integration with tevent.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%package tevent-devel
Summary:    Development files for %{name}-tevent
Group:      Development/C
Requires:   %{name}-tevent = %{version}-%{release}
Requires:   %{devname} = %{version}-%{release}

%description tevent-devel
The %{name}-tevent-devel package contains libraries and header files for
developing applications that use %{name}-tevent.

%package libev
Summary:    libev module for %{name}
Group:      System/Libraries
Provides:   %{name}-module-base = %{version}-%{release}

%description libev
Module for %{name} which provides integration with libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%package libev-devel
Summary:    Development files for %{name}-libev
Group:      Development/C
Requires:   %{name}-libev = %{version}-%{release}
Requires:   %{devname} = %{version}-%{release}

%description libev-devel
The %{name}-libev-devel package contains libraries and header files for
developing applications that use %{name}-libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%prep
%setup -q

%build
%configure2_5x --disable-static CFLAGS=`pkg-config --cflags libev` LIBS=`pkg-config --libs libev`
%make

%install
%makeinstall_std

find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.*

%files -n %{devname}
%{_includedir}/verto.h
%{_includedir}/verto-module.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files glib
%{_libdir}/%{name}-glib.so.*

%files glib-devel
%{_includedir}/verto-glib.h
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/%{name}-glib.pc

%files libevent
%{_libdir}/%{name}-libevent.so.*

%files libevent-devel
%{_includedir}/verto-libevent.h
%{_libdir}/%{name}-libevent.so
%{_libdir}/pkgconfig/%{name}-libevent.pc

%files tevent
%{_libdir}/%{name}-tevent.so.*

%files tevent-devel
%{_includedir}/verto-tevent.h
%{_libdir}/%{name}-tevent.so
%{_libdir}/pkgconfig/%{name}-tevent.pc

%files libev
%{_libdir}/%{name}-libev.so.*

%files libev-devel
%{_includedir}/verto-libev.h
%{_libdir}/%{name}-libev.so
%{_libdir}/pkgconfig/%{name}-libev.pc



%changelog
* Wed Feb 15 2017 mrambo3501 <mrambo3501> 0.2.6-6.mga6
+ Revision: 1086235
- rebuild for new libevent

* Thu Feb 11 2016 umeabot <umeabot> 0.2.6-5.mga6
+ Revision: 955719
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.2.6-4.mga6
+ Revision: 867772
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.2.6-3.mga5
+ Revision: 750584
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.6-2.mga5
+ Revision: 681839
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 guillomovitch <guillomovitch> 0.2.6-1.mga5
+ Revision: 603479
- new version 0.2.6

* Sat Oct 19 2013 umeabot <umeabot> 0.2.5-3.mga4
+ Revision: 535982
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 guillomovitch <guillomovitch> 0.2.5-2.mga4
+ Revision: 405318
- fix dependencies

* Sat Jan 12 2013 umeabot <umeabot> 0.2.4-3.mga3
+ Revision: 358329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 guillomovitch <guillomovitch> 0.2.4-2.mga3
+ Revision: 337032
- add devel virtual packages

* Mon Dec 31 2012 guillomovitch <guillomovitch> 0.2.4-1.mga3
+ Revision: 336670
- imported package libverto

